package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag105;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT105Creator;

public class Tag77FCreator extends AbsTagCreate {
    private MT105Creator mt105Creator;

    public Tag77FCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt105Creator= (MT105Creator) absMTCreator;
    }

    public void creator()
    {
        String tag77FValue = mt105Creator.getEdifactMessage();
        mt105Creator.set("77F", tag77FValue);
    }
}
